Skip to main content

[GET] /external/v1/wallets/{id}

Overview

Returns a single wallet by ID for the authenticated merchant.

Authentication

Requires an API key. See Authentication.

Path Parameters

NameTypeRequiredDescription
idstringYesWallet ID. e.g. WT0ir6F1

Response

Returns an ApiResponse<Wallet>.

FieldTypeDescription
codestringResponse code. Successful responses use ok.
messagestringHuman-readable response message.
dataWalletWallet matching the requested ID.

Example Request

GET /external/v1/wallets/WT0ir6F1

Example Response

{
"code": "ok",
"message": "Ok.",
"data": {
"id": "WT0ir6F1",
"status": "active",
"networkEndpoint": {
"type": "blockchain",
"provider": "tron",
"identifier": "TQPipjn73wBnKDodCtZAUCLoMdsgjBc3K5",
"blockchainDetail": {
"chainId": "3448148188",
"address": "TQPipjn73wBnKDodCtZAUCLoMdsgjBc3K5"
}
},
"createdAt": "2026-05-12T03:13:16.200Z",
"updatedAt": "2026-05-12T03:13:16.200Z",
"assets": [
{
"currencyCode": "USDT",
"nickname": "Timothee Wallet (USDT)",
"balance": {
"availableAmount": "61.0000000000000000",
"lockedAmount": "15.0000000000000000"
},
"createdAt": "2026-05-12T03:13:16.232Z",
"updatedAt": "2026-05-12T03:13:16.232Z"
},
{
"currencyCode": "TRX",
"nickname": "Timothee Wallet (TRX)",
"balance": {
"availableAmount": "0.0000000000000000",
"lockedAmount": "0.0000000000000000"
},
"createdAt": "2026-05-12T03:13:16.232Z",
"updatedAt": "2026-05-12T03:13:16.232Z"
}
]
}
}

Error Responses

All error responses use ErrorResponse.

HTTP StatusCodeMessageDescription
400bad_requestValidation error messageThe request failed gateway-level validation, such as an invalid id value.
401unauthorizedUnauthorized.The API key is missing or invalid.
403forbiddenForbidden.The authenticated caller is not allowed to access this resource.
404not_foundNot found.No wallet exists for the requested ID, or the authenticated merchant is not allowed to access it.

Example Not Found Error

{
"code": "not_found",
"message": "Not found.",
"data": null
}